Skip to main content

Endpoints API

Create, list, retrieve, update, and delete debug endpoints.

List endpoints

GET /api/v1/endpoints
curl https://app.hooklistener.com/api/v1/endpoints \
-H "Authorization: Bearer hklst_your_api_key"

Response:

{
"data": [
{
"id": "ep_abc123",
"name": "Stripe Webhooks",
"slug": "stripe-webhooks",
"status": "active",
"webhook_url": "https://app.hooklistener.com/w/stripe-webhooks",
"inserted_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
]
}

Create an endpoint

POST /api/v1/endpoints
curl -X POST https://app.hooklistener.com/api/v1/endpoints \
-H "Authorization: Bearer hklst_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"debug_endpoint": {
"name": "Stripe Webhooks",
"slug": "stripe-webhooks"
}
}'

Request body:

FieldTypeRequiredDescription
namestringYesDisplay name
slugstringNoURL slug (auto-generated if omitted)

Response: 201 Created

{
"data": {
"id": "ep_abc123",
"name": "Stripe Webhooks",
"slug": "stripe-webhooks",
"status": "active",
"webhook_url": "https://app.hooklistener.com/w/stripe-webhooks",
"inserted_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
}

Get an endpoint

GET /api/v1/endpoints/:id
curl https://app.hooklistener.com/api/v1/endpoints/ep_abc123 \
-H "Authorization: Bearer hklst_your_api_key"

Response:

{
"data": {
"id": "ep_abc123",
"name": "Stripe Webhooks",
"slug": "stripe-webhooks",
"status": "active",
"webhook_url": "https://app.hooklistener.com/w/stripe-webhooks",
"inserted_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
}

Update an endpoint

PUT /api/v1/endpoints/:id
curl -X PUT https://app.hooklistener.com/api/v1/endpoints/ep_abc123 \
-H "Authorization: Bearer hklst_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"debug_endpoint": {
"name": "Updated Name"
}
}'

Delete an endpoint

DELETE /api/v1/endpoints/:id
curl -X DELETE https://app.hooklistener.com/api/v1/endpoints/ep_abc123 \
-H "Authorization: Bearer hklst_your_api_key"

Response: 204 No Content